---
lang: en
title: 'API docs: http-caching-proxy.httpcachingproxy'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.http-caching-proxy.httpcachingproxy.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-caching-proxy](./http-caching-proxy.md) &gt; [HttpCachingProxy](./http-caching-proxy.httpcachingproxy.md)

## HttpCachingProxy class

The HTTP proxy implementation.

<b>Signature:</b>

```typescript
export declare class HttpCachingProxy 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./http-caching-proxy.httpcachingproxy._constructor_.md) |  | Constructs a new instance of the <code>HttpCachingProxy</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [url](./http-caching-proxy.httpcachingproxy.url.md) |  | <code>string</code> | URL where the proxy is listening on. Provide this value to your HTTP client as the proxy configuration. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [logError(request, error)](./http-caching-proxy.httpcachingproxy.logerror.md) |  |  |
|  [start()](./http-caching-proxy.httpcachingproxy.start.md) |  | Start listening. |
|  [stop()](./http-caching-proxy.httpcachingproxy.stop.md) |  | Stop listening. |


